# Workflow$list\_notebooks

### Workflow$<mark style="color:purple;">list\_notebooks</mark>(*max\_results=NULL*) → list<[Notebook](/api/client-libraries/redivis-r/reference/notebook.md)>

Returns a list of notebooks within the workflow.

### **Parameters:**

**`max_results` :&#x20;*****int, default NULL***\
If specified, will only return up to max\_results notebooks

### **Returns:**&#x20;

**list<**[**Notebook**](/api/client-libraries/redivis-r/reference/notebook.md)**>**

### **Examples:**

```r
workflow <- redivis$user("imathews")$workflow("example_workflow_climate_analysis")
notebooks <- workflow$list_notebooks()

for (notebook in notebooks){
    print(notebook$properties) # Properties will be populated with the notebook.list resource representation
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/workflow/workflowusdlist_notebooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
